<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('user_details', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id')->nullable();
            $table->unsignedBigInteger('sect_id')->nullable();
            $table->unsignedBigInteger('education_id')->nullable();
            $table->unsignedBigInteger('profession_id')->nullable();
            $table->string('height_cm')->nullable();
            $table->string('height_ft')->nullable();
            $table->string('weight_kg')->nullable();
            $table->string('weight_lbs')->nullable();
            $table->unsignedBigInteger('marital_status_id')->nullable();
            $table->integer('wives')->nullable();
            $table->integer('children')->nullable();
            $table->integer('religious_practice')->nullable();
            $table->unsignedBigInteger('dress_code_id')->nullable();
            $table->integer('smoking')->nullable();
            $table->integer('genetic_disease')->nullable();
            $table->unsignedBigInteger('genetic_disease_id')->nullable();
            $table->text('about')->nullable();     
            $table->timestamps();
        });
    }  

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('user_details');
    }
};
